Edit Template
curl --request PATCH \
--url https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/templates/{templateId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"metadata": {
"name": "test",
"imageUrl": "https://www.crossmint.com/assets/crossmint/logo.png",
"description": "A new collection with its own dedicated smart contract"
}
}
'import requests
url = "https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/templates/{templateId}"
payload = { "metadata": {
"name": "test",
"imageUrl": "https://www.crossmint.com/assets/crossmint/logo.png",
"description": "A new collection with its own dedicated smart contract"
} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
name: 'test',
imageUrl: 'https://www.crossmint.com/assets/crossmint/logo.png',
description: 'A new collection with its own dedicated smart contract'
}
})
};
fetch('https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}NFT Templates
Edit Template
Edit a Token template.
API scope required: nfts.update
PATCH
/
2022-06-09
/
collections
/
{collectionId}
/
templates
/
{templateId}
Edit Template
Authorizations
Obtained in the Crossmint developer console
Path Parameters
This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.
The create-collection API will result in collections with UUID formatted collectionId.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
The create-collection-idempotent API allows you to specify an arbitrary identifier during the initial request.
Example: your-custom-identifier
The template ID
Body
application/json
- Metadata Update
- Supply Update
Show child attributes
Show child attributes
Response
Success
Was this page helpful?
⌘I

